Manuel de l'utilisateur de pamcut(1)

NOM
pamcut – Sélection d’une région rectangulaire d’une image PAM, PBM, PGM ou PPM

SYNOPSIS

pamcut

[-left num_col]

[-right num_col]

[-top num_ligne]

[-bottom num_ligne]

[-width cols]

[-height lignes]

[-pad]

[-cropleft nombre_cols]

[-cropright nombre_cols]

[-croptop nombre_lignes]

[-cropbottom nombre_lignes]

[-reportonly]

[-verbose]

[gauche haut largeur hauteur]

[fichier_pnm]

Les abréviations minimales uniques d’option sont autorisées. Un double tiret au lieu d’un seul peut être utilisé pour indiquer des options. Une espace peut être utilisée au lieu du signe égale pour séparer un nom d’option de sa valeur.

DESCRIPTION

Ce programme fait partie de Netpbm(1).

pamcut lit une image PAM, PBM, PGM ou PPM en entrée, extrait le rectangle indiqué et produit une image du même type.

Il est possible d’indiquer soit le rectangle à découper et à conserver, soit les bords à rogner et supprimer, soit indiquer les deux.

Pour choisir les bords à rogner, utilisez les options -cropleft, -cropright, -croptop et -cropbottom pour indiquer le nombre de lignes ou de colonnes à supprimer.

Par exemple, -cropleft=50 -cropright=200 indique la suppression des 50 colonnes les plus à gauche et des 200 colonnes les plus à droite.

Pour choisir le rectangle à conserver, utilisez les options -left, -right, -top, -bottom, -width, -height et -pad.

Par exemple, -left=50 -right=200 indique la conservation de 151 colonnes entre les colonnes 50 et 200 incluses.

Il est possible de définir n'importe quelle combinaison de ces options. Les paramètres non spécifiés prennent leur valeur par défaut. Ces valeurs par défaut privilégient une découpe minimale et le rognage des bords droit et bas, ainsi qu'un remplissage minimal (avec -pad) et un remplissage à droite et en bas. C'est une erreur de surspécifier, c'est-à-dire de spécifier les trois paramètres -left, -right et -width, ou -top, -bottom et -height, ou right avec -cropright.

Il existe une ancienne façon d’indiquer le rectangle à conserver : les arguments de position. Ceux-ci constituaient le seul moyen disponible avant juillet 2000, mais ils ne devraient plus être utilisés dans les nouvelles applications. Les options sont plus faciles à mémoriser et à lire, plus expressives et permettent d’utiliser les paramètres par défaut.

Si les options et les arguments sont utilisés ensemble, les deux spécifications seront mélangées d’une façon indéterminée.

Pour utiliser les arguments, indiquer tous les quatre, gauche, haut, width et height. gauche et haut ont le même effet que leur indication comme argument des options -left et -top respectivement. largeur et hauteur ont le même effet que leur indication comme argument des options --width et -height respectivement, où ils sont positifs. S’ils ne sont pas positifs, ils ont le même effet de diminution que de les spécifier avec les options -right et -bottom respectivement (par exemple, largeur = 0 indique que la découpe va jusqu’au bord droit). Avant juillet 2000, des nombres négatifs n’étaient pas autorisés pour largeur et hauteur.

L’entrée standard est utilisée si aucun fichier_pnm n’est indiqué en entrée.

La sortie est faite sur la sortie standard.

pamcut fonctionne pour un flux d’images. Il découpe chaque image du flux de manière indépendante et produit un flux d’images. Avant Netpbm 10.32 (mars 2006), toutes les images étaient ignorées sauf la première.

Pour découper une seule image en plusieurs images de même grandeur, il est plus pratique et plus rapide d’utiliser pamdice(1) que d’exécuter pamcut plusieurs fois.

pamcomp(1) est aussi utile pour découper et compléter une image jusqu’à une certaine taille. Il suffit de créer une image d’arrière-plan de dimensions désirées et de superposer l’image en question.

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (notablement -quiet, voir
 Options communes index.html#commonoptions ), pamcut reconnait l’option suivante de ligne de commande :

-left=num_col
    Le numéro de la colonne la plus à gauche à incorporer dans la sortie. Les colonnes les plus à gauche seront coupées. S’il s’agit d’un nombre non négatif, il fait référence à des colonnes numérotées à partir de zéro à gauche et augmentant vers la droite. Si ce nombre est négatif, il fait référence à des colonnes numérotées à partir de -1 à droite et diminuant vers la gauche.

-right=num_col
    Le numéro de la colonne la plus à droite à incorporer dans la sortie, numérotée de la même façon que pour l’option -left. Les colonnes les plus à droite seront coupées.

-top=num_ligne
    Le numéro de la ligne la plus en haut dans la sortie. Les lignes au-dessus seront coupées. S’il s’agit d’un nombre non négatif, il fait référence à des lignes numérotées à partir de 0 en haut et augmentant vers le bas. S’il s’agit d’un nombre négatif, il fait référence à des lignes numérotées -1 en bas et décroissant vers le haut.

-bottom=num_ligne
    Le numéro de la ligne la plus en bas à incorporer dans la sortie, numérotée de la même façon que pour l’option -top. Les lignes en dessous seront coupées.

-width=cols
    Le nombre de colonnes à incorporer dans la sortie. Il doit être positif.

--root=lignes
    Le nombre de lignes à incorporer dans la sortie. Il doit être positif.

-cropleft

-cropright

-croptop

-cropbottom
    Ces options indiquent combien de lignes ou de colonnes à rogner à partir des bords gauche, droit, haut et bas, respectivement.

    La valeur ne peut être négative.

    Ces options sont apparues dans Netpbm 10.85 (décembre 2018). Auparavant, il était possible d’effectuer la même opération avec les options -left, top et des valeurs négatives pour les options right et -bottom. Ne pas oublier de soustraire 1 des valeurs dans le dernier cas. Par exemple, l’équivalent de -cropright=1 est -right=-2.

-pad
    Si le rectangle indiqué ne tient pas entièrement dans l’image d’entrée, pamcut échoue à moins de spécifier l’option -pad. Dans ce cas, il remplit la sortie avec du noir jusqu’aux bords indiqués. Cette option peut être utilisée en cas de besoin d’une image d’une certaine dimension à partir d’une image de dimensions arbitraires.

    pnmpad(1) ajoute aussi des bordures à une image, mais leur largeur doit être indiquée directement.

    pamcomp(1) réalise une forme plus générale de remplissage. Créer une image d’arrière-plan de la dimension voulue et superposer l’image en question sur ce fond. Des options sont disponibles pour une superposition au centre du cadre ou contre n’importe quel côté et un remplissage de n’importe quelle couleur (la couleur du remplissage est celle de l’arrière-plan).

-reportonly
    Cette option fait que pamcut écrive sur la sortie standard une description de ce qui serait fait au lieu de produire une image.

    Voir ci-après (#reportonly) pour une description et la manière de l’utiliser.

    Cette description se compose d’une ligne de texte contenant 8 nombres de pixels, séparés par des espaces :

–   le numéro de colonne de la découpe à gauche ;

–   le numéro de colonne de la découpe à droite ;

–   le numéro de ligne de la découpe en haut ;

–   le numéro de ligne de la découpe en bas ;

–   la largeur de l’image d’entrée ;

–   la hauteur de l’image d’entrée ;

–   la largeur de l’image produite ;

–   la hauteur de l’image produite.

    Le numéro de colonne de découpe à gauche est le numéro de colonne dans l'image d'entrée de la colonne la plus à gauche de l'image de sortie. Pour la découpe à droite, il s'agit de la colonne la plus à droite de l'image de sortie. Il en va de même pour le haut et le bas.

    Les numéros de colonne et de ligne peuvent être négatifs si l’option -pad est indiquée et si pamcut a ajouté un remplissage. De même, ils peuvent être au-delà des bords droit et bas de l’image d’entrée.

    Exemple :

          10 109 -1 98 150 80 100 100

    Cette option est apparue dans Netpbm 11.06 (mars 2024).

-verbose
    Cette option affiche des informations de traitement sur la sortie standard d’erreur.

VOIR AUSSI
pnmcrop(1), pamdice(1), pamcomp(1), pnmpad(1), pamcat(1), pgmslice(1), pnm(1)

HISTORIQUE

pamcut est issu de pnmcut et apparu dans Netpbm 9.20 (mai 2001). C’est le premier programme de Netpbm adapté au nouveau format PAM et à la bibliothèque de programmation.

Le prédécesseur pnmcut est un des plus vieux outils du paquet Netpbm.

AUTEUR

Copyright (c) 1989 par Jef Poskanzer.

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/pamcut.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.